#!/bin/bash

echo "Удаление дублирующей панели XFCE4"
apt-get purge -y xfce4-statusnotifier-plugin

echo "Установка необходимых пакетов для включения аппаратного ускорения"
MPV_PATH=/usr/local/mpv_v1.1.0_d18.04.25
tar -xf ${MPV_PATH}/mpv.tar.gz -C ${MPV_PATH}
apt install -y ${MPV_PATH}/mpv/libavutil56-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/libswscale5-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/libswresample3-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/libpostproc55-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/libavcodec58-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/libavformat58-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb  \
               ${MPV_PATH}/mpv/libavfilter7-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/libavdevice58-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/ffmpeg-v4l2request_4.4.2-0ubuntu0.22.04.2_arm64.deb \
               ${MPV_PATH}/mpv/mpv_0.35.1-5_arm64.deb

echo "Установка необходимых пакетов для включения аппаратного ускорения завершена"
mkdir -p /etc/mpv
echo -e "hwdec=drm\ndrm-drmprime-video-plane=primary\ndrm-draw-plane=overlay" | tee /etc/mpv/mpv.conf

echo "Удаление временных файлов"
rm -rf ${MPV_PATH}

echo "Установка необходимых переменных для улучшения работы аппаратного ускорения"
echo 'MESA_GL_VERSION_OVERRIDE=3.0' | sudo tee -a /etc/environment
echo 'MESA_GLSL_VERSION_OVERRIDE=300' | sudo tee -a /etc/environment

notify-send -i dialog-information -t 10000 "Аппаратное ускорение" "Необходимые пакеты для включения аппаратного ускорения установлены!"

echo "Отключение сервиса first-start-after-update"
systemctl disable first-start-after-update.service